## org.eclipse.datatools.modelbase.sql.datatypes
Interface AttributeDefinition

All Superinterfaces:
  SQLObject, TypedElement

All Known Implementing Classes:
  AttributeDefinitionImpl

public interface AttributeDefinition
extends TypedElement

A representation of the model object 'Attribute Definition'. Reference: 5WD-02-Foundation-2002-12 4.13 Columns, fields, and attributes

The following features are supported:

- `Scope Check`
- `Scope Checked`
- `Default Value`

See Also:
  `SQLDataTypesPackage.getAttributeDefinition()`

Method Summary
`java.lang.String` `getDefaultValue()` Returns the value of the 'Default Value' attribute.
`ReferentialActionType` `getScopeCheck()` Returns the value of the 'Scope Check' attribute.
`boolean` `isScopeChecked()` Returns the value of the 'Scope Checked' attribute.
`void` `setDefaultValue(java.lang.String value)` Sets the value of the '`Default Value`' attribute.
`void` `setScopeCheck(ReferentialActionType value)` Sets the value of the '`Scope Check`' attribute.
`void` `setScopeChecked(boolean value)` Sets the value of the '`Scope Checked`' attribute.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.TypedElement
`getContainedType, getDataType, getReferencedType, setContainedType, setDataType, setReferencedType`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getScopeCheck

    public ReferentialActionType getScopeCheck()

  Returns the value of the 'Scope Check' attribute. The literals are from the enumeration `ReferentialActionType`.

  If the meaning of the 'Scope Check' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Scope Check' attribute.
  See Also:
    `ReferentialActionType`, `setScopeCheck(ReferentialActionType)`, `SQLDataTypesPackage.getAttributeDefinition_ScopeCheck()`

### setScopeCheck

    public void setScopeCheck(ReferentialActionType value)

  Sets the value of the '`Scope Check`' attribute.

  Parameters:
    `value` - the new value of the 'Scope Check' attribute.
  See Also:
    `ReferentialActionType`, `getScopeCheck()`

### isScopeChecked

    public boolean isScopeChecked()

  Returns the value of the 'Scope Checked' attribute.

  If the meaning of the 'Scope Checked' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Scope Checked' attribute.
  See Also:
    `setScopeChecked(boolean)`, `SQLDataTypesPackage.getAttributeDefinition_ScopeChecked()`

### setScopeChecked

    public void setScopeChecked(boolean value)

  Sets the value of the '`Scope Checked`' attribute.

  Parameters:
    `value` - the new value of the 'Scope Checked' attribute.
  See Also:
    `isScopeChecked()`

### getDefaultValue

    public java.lang.String getDefaultValue()

  Returns the value of the 'Default Value' attribute.

  If the meaning of the 'Default Value' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Default Value' attribute.
  See Also:
    `setDefaultValue(String)`, `SQLDataTypesPackage.getAttributeDefinition_DefaultValue()`

### setDefaultValue

    public void setDefaultValue(java.lang.String value)

  Sets the value of the '`Default Value`' attribute.

  Parameters:
    `value` - the new value of the 'Default Value' attribute.
  See Also:
    `getDefaultValue()`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.